# Global IP

## Overview ##
The Global IP Cloud API is able to validate IPv4 and IPv6 addresses and give you geographic information for it. This geographical data can place an IP address within a city and postal code. It can also tell you the connection type and speed.

Global IP can be used to:
- Verify an IP address as valid.
- Associate a physical location with an IP address.
- Determine the location of a mobile phone's IP address.
- Determine connection speed and type of an IP address.
- Determine the Internet Service Provider of an IP address.
- Detect proxies and return their type.

**Documentation**
- [Global IP Documentation](https://docs.melissa.com/cloud-api/global-ip/global-ip-index.html)

**Useful Resources**
- [GitHub](https://github.com/MelissaData/MelissaCloudAPI-OpenAPI-Specifications)
- [Release Notes](https://releasenotes.melissa.com/cloud-api/global-ip/)
- [Result Codes](https://docs.melissa.com/cloud-api/global-ip/result-codes.html)

**Product Page**

[https://www.melissa.com/ip-location](https://www.melissa.com/ip-location)

**Support Center**

[https://www.melissa.com/company/product-support](https://www.melissa.com/company/product-support)



## Servers

Global IP Server
```
https://globalip.melissadata.net/v4/WEB/IPLocation
```

## Download OpenAPI description

[Global IP](https://developer.melissa.com/_bundle/apis/global-ip.yaml)

## IP Address Locator

Use this endpoint to locate and validate IP addresses.

### Validate an IP address

 - [GET /doIPLocation](https://developer.melissa.com/apis/global-ip/ip-address-locator/doiplocationget.md): Uses HTTPS GET to accept one input record and returns the response in JSON format. This is useful for browser level or quick single queries.

_Note:_ A request to the Global IP Cloud Service must consist of the Customer ID and an IP address to verify.

### Validate IP addresses

 - [POST /doIPLocation](https://developer.melissa.com/apis/global-ip/ip-address-locator/doiplocationpost.md): Uses HTTPS POST to accept one or more input records and returns the response in JSON format. This is useful for bulk queries.

_Note:_ A request to the Global IP Cloud Service must consist of the Customer ID and an IP address to verify.

